Package picard.sam

## Class EarliestFragmentPrimaryAlignmentSelectionStrategy

- java.lang.Object
- - picard.sam.EarliestFragmentPrimaryAlignmentSelectionStrategy

- All Implemented Interfaces:
    `PrimaryAlignmentSelectionStrategy`

      public class EarliestFragmentPrimaryAlignmentSelectionStrategy
      extends Object
      implements PrimaryAlignmentSelectionStrategy

  When it is necessary to pick a primary alignment from a group of alignments for a read, pick the one that maps the earliest base in the read. This implementation only works for fragments, not for pairs. If there are multiple alignments that all start mapping at the same offest in the read, pick the one with the best MAPQ. If there are multiple alignments that have the earliest mapping and that have the same MAPQ, pick one randomly.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EarliestFragmentPrimaryAlignmentSelectionStrategy()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `pickPrimaryAlignment​(picard.sam.HitsForInsert hitsForInsert)` | When this method returns, one alignment has been marked as primary according to the implementation's strategy.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EarliestFragmentPrimaryAlignmentSelectionStrategy

          public EarliestFragmentPrimaryAlignmentSelectionStrategy()

  - ### Method Detail

    - #### pickPrimaryAlignment

          public void pickPrimaryAlignment​(picard.sam.HitsForInsert hitsForInsert)

      Description copied from interface: `PrimaryAlignmentSelectionStrategy`
      When this method returns, one alignment has been marked as primary according to the implementation's strategy.
      Specified by:
        `pickPrimaryAlignment` in interface `PrimaryAlignmentSelectionStrategy`